Skip to main content
POST
/
v1
/
templates
/
buckets
/
{template_id}
/
instantiate
Instantiate Bucket Template
curl --request POST \
  --url https://api.mixpeek.com/v1/templates/buckets/{template_id}/instantiate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket_name": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.mixpeek.com/v1/templates/buckets/{template_id}/instantiate"

payload = {
"bucket_name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bucket_name: '<string>', description: '<string>'})
};

fetch('https://api.mixpeek.com/v1/templates/buckets/{template_id}/instantiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bucket_id": "<string>",
  "bucket_name": "<string>",
  "template_id": "<string>",
  "status": "created",
  "created_at": "2023-11-07T05:31:56Z"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a bucket from a template.

bucket_name
string
required

Name for the new bucket

Required string length: 1 - 100
description
string | null

Optional description override for the bucket

Maximum string length: 1000

Response

Successful Response

Response after instantiating a bucket template.

bucket_id
string
required

ID of the created bucket

bucket_name
string
required

Name of the created bucket

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when bucket was created